yaml: yaml_parser_s Struct Reference

yaml 0.2.5

yaml_parser_s Struct Reference
Parser Definitions

The parser structure. More...

`#include <yaml.h>`

## Data Fields
const unsigned char * | start
| The string start pointer. More...
const unsigned char * | end
| The string end pointer. More...
const unsigned char * | current
| The string current position. More...
struct {
const unsigned char * start
| The string start pointer. More...
const unsigned char * end
| The string end pointer. More...
const unsigned char * current
| The string current position. More...
} | string
| String input data. More...
FILE * | file
| File input data. More...
yaml_char_t * | start
| The beginning of the buffer. More...
yaml_char_t * | end
| The end of the buffer. More...
yaml_char_t * | pointer
| The current position of the buffer. More...
yaml_char_t * | last
| The last filled position of the buffer. More...
unsigned char * | start
| The beginning of the buffer. More...
unsigned char * | end
| The end of the buffer. More...
unsigned char * | pointer
| The current position of the buffer. More...
unsigned char * | last
| The last filled position of the buffer. More...
yaml_token_t * | start
| The beginning of the tokens queue. More...
yaml_token_t * | end
| The end of the tokens queue. More...
yaml_token_t * | head
| The head of the tokens queue. More...
yaml_token_t * | tail
| The tail of the tokens queue. More...
int * | start
| The beginning of the stack. More...
int * | end
| The end of the stack. More...
int * | top
| The top of the stack. More...
yaml_simple_key_t * | start
| The beginning of the stack. More...
yaml_simple_key_t * | end
| The end of the stack. More...
yaml_simple_key_t * | top
| The top of the stack. More...
yaml_parser_state_t * | start
| The beginning of the stack. More...
yaml_parser_state_t * | end
| The end of the stack. More...
yaml_parser_state_t * | top
| The top of the stack. More...
yaml_mark_t * | start
| The beginning of the stack. More...
yaml_mark_t * | end
| The end of the stack. More...
yaml_mark_t * | top
| The top of the stack. More...
yaml_tag_directive_t * | start
| The beginning of the list. More...
yaml_tag_directive_t * | end
| The end of the list. More...
yaml_tag_directive_t * | top
| The top of the list. More...
yaml_alias_data_t * | start
| The beginning of the list. More...
yaml_alias_data_t * | end
| The end of the list. More...
yaml_alias_data_t * | top
| The top of the list. More...
Error handling
yaml_error_type_t | error
| Error type. More...
const char * | problem
| Error description. More...
size_t | problem_offset
| The byte about which the problem occured. More...
int | problem_value
| The problematic value (`-1` is none). More...
yaml_mark_t | problem_mark
| The problem position. More...
const char * | context
| The error context. More...
yaml_mark_t | context_mark
| The context position. More...
Reader stuff
yaml_read_handler_t * | read_handler
| Read handler. More...
void * | read_handler_data
| A pointer for passing to the read handler. More...
union {
struct {
const unsigned char * start
| The string start pointer. More...
const unsigned char * end
| The string end pointer. More...
const unsigned char * current
| The string current position. More...
} string
| String input data. More...
FILE * file
| File input data. More...
} | input
| Standard (string or file) input data. More...
int | eof
| EOF flag.
struct {
yaml_char_t * start
| The beginning of the buffer. More...
yaml_char_t * end
| The end of the buffer. More...
yaml_char_t * pointer
| The current position of the buffer. More...
yaml_char_t * last
| The last filled position of the buffer. More...
} | buffer
| The working buffer. More...
size_t | unread
struct {
unsigned char * start
| The beginning of the buffer. More...
unsigned char * end
| The end of the buffer. More...
unsigned char * pointer
| The current position of the buffer. More...
unsigned char * last
| The last filled position of the buffer. More...
} | raw_buffer
| The raw buffer. More...
yaml_encoding_t | encoding
| The input encoding. More...
size_t | offset
| The offset of the current position (in bytes). More...
yaml_mark_t | mark
| The mark of the current position. More...
Scanner stuff
int | stream_start_produced
| Have we started to scan the input stream?
int | stream_end_produced
| Have we reached the end of the input stream?
int | flow_level
| The number of unclosed '[' and '{' indicators. More...
struct {
yaml_token_t * start
| The beginning of the tokens queue. More...
yaml_token_t * end
| The end of the tokens queue. More...
yaml_token_t * head
| The head of the tokens queue. More...
yaml_token_t * tail
| The tail of the tokens queue. More...
} | tokens
| The tokens queue. More...
size_t | tokens_parsed
| The number of tokens fetched from the queue. More...
int | token_available
| Does the tokens queue contain a token ready for dequeueing. More...
struct {
int * start
| The beginning of the stack. More...
int * end
| The end of the stack. More...
int * top
| The top of the stack. More...
} | indents
| The indentation levels stack. More...
int | indent
| The current indentation level. More...
int | simple_key_allowed
| May a simple key occur at the current position?
struct {
yaml_simple_key_t * start
| The beginning of the stack. More...
yaml_simple_key_t * end
| The end of the stack. More...
yaml_simple_key_t * top
| The top of the stack. More...
} | simple_keys
| The stack of simple keys. More...
Parser stuff
struct {
yaml_parser_state_t * start
| The beginning of the stack. More...
yaml_parser_state_t * end
| The end of the stack. More...
yaml_parser_state_t * top
| The top of the stack. More...
} | states
| The parser states stack. More...
yaml_parser_state_t | state
| The current parser state. More...
struct {
yaml_mark_t * start
| The beginning of the stack. More...
yaml_mark_t * end
| The end of the stack. More...
yaml_mark_t * top
| The top of the stack. More...
} | marks
| The stack of marks. More...
struct {
yaml_tag_directive_t * start
| The beginning of the list. More...
yaml_tag_directive_t * end
| The end of the list. More...
yaml_tag_directive_t * top
| The top of the list. More...
} | tag_directives
| The list of TAG directives. More...
Dumper stuff
struct {
yaml_alias_data_t * start
| The beginning of the list. More...
yaml_alias_data_t * end
| The end of the list. More...
yaml_alias_data_t * top
| The top of the list. More...
} | aliases
| The alias data. More...
yaml_document_t * | document
| The currently parsed document. More...

## Detailed Description

The parser structure.

All members are internal. Manage the structure using the `yaml_parser_` family of functions.

## Field Documentation

## ◆ error

yaml_error_type_t yaml_parser_s::error

Error type.

## ◆ problem

const char* yaml_parser_s::problem

Error description.

## ◆ problem_offset

size_t yaml_parser_s::problem_offset

The byte about which the problem occured.

## ◆ problem_value

int yaml_parser_s::problem_value

The problematic value (`-1` is none).

## ◆ problem_mark

yaml_mark_t yaml_parser_s::problem_mark

The problem position.

## ◆ context

const char* yaml_parser_s::context

The error context.

## ◆ context_mark

yaml_mark_t yaml_parser_s::context_mark

The context position.

## ◆ read_handler

yaml_read_handler_t* yaml_parser_s::read_handler

Read handler.

## ◆ read_handler_data

void* yaml_parser_s::read_handler_data

A pointer for passing to the read handler.

## ◆ start [1/10]

const unsigned char* yaml_parser_s::start

The string start pointer.

## ◆ end [1/10]

const unsigned char* yaml_parser_s::end

The string end pointer.

## ◆ current

const unsigned char* yaml_parser_s::current

The string current position.

## ◆ string

struct { ... } yaml_parser_s::string

String input data.

## ◆ file

FILE* yaml_parser_s::file

File input data.

## ◆ input

union { ... } yaml_parser_s::input

Standard (string or file) input data.

## ◆ start [2/10]

yaml_char_t* yaml_parser_s::start

The beginning of the buffer.

## ◆ end [2/10]

yaml_char_t* yaml_parser_s::end

The end of the buffer.

## ◆ pointer [1/2]

yaml_char_t* yaml_parser_s::pointer

The current position of the buffer.

## ◆ last [1/2]

yaml_char_t* yaml_parser_s::last

The last filled position of the buffer.

## ◆ buffer

struct { ... } yaml_parser_s::buffer

The working buffer.

## ◆ start [3/10]

unsigned char* yaml_parser_s::start

The beginning of the buffer.

## ◆ end [3/10]

unsigned char* yaml_parser_s::end

The end of the buffer.

## ◆ pointer [2/2]

unsigned char* yaml_parser_s::pointer

The current position of the buffer.

## ◆ last [2/2]

unsigned char* yaml_parser_s::last

The last filled position of the buffer.

## ◆ raw_buffer

struct { ... } yaml_parser_s::raw_buffer

The raw buffer.

## ◆ encoding

yaml_encoding_t yaml_parser_s::encoding

The input encoding.

## ◆ offset

size_t yaml_parser_s::offset

The offset of the current position (in bytes).

## ◆ mark

yaml_mark_t yaml_parser_s::mark

The mark of the current position.

## ◆ flow_level

int yaml_parser_s::flow_level

The number of unclosed '[' and '{' indicators.

## ◆ start [4/10]

yaml_token_t* yaml_parser_s::start

The beginning of the tokens queue.

## ◆ end [4/10]

yaml_token_t* yaml_parser_s::end

The end of the tokens queue.

## ◆ head

yaml_token_t* yaml_parser_s::head

The head of the tokens queue.

## ◆ tail

yaml_token_t* yaml_parser_s::tail

The tail of the tokens queue.

## ◆ tokens

struct { ... } yaml_parser_s::tokens

The tokens queue.

## ◆ tokens_parsed

size_t yaml_parser_s::tokens_parsed

The number of tokens fetched from the queue.

## ◆ token_available

int yaml_parser_s::token_available

Does the tokens queue contain a token ready for dequeueing.

## ◆ start [5/10]

int* yaml_parser_s::start

The beginning of the stack.

## ◆ end [5/10]

int* yaml_parser_s::end

The end of the stack.

## ◆ top [1/6]

int* yaml_parser_s::top

The top of the stack.

## ◆ indents

struct { ... } yaml_parser_s::indents

The indentation levels stack.

## ◆ indent

int yaml_parser_s::indent

The current indentation level.

## ◆ start [6/10]

yaml_simple_key_t* yaml_parser_s::start

The beginning of the stack.

## ◆ end [6/10]

yaml_simple_key_t* yaml_parser_s::end

The end of the stack.

## ◆ top [2/6]

yaml_simple_key_t* yaml_parser_s::top

The top of the stack.

## ◆ simple_keys

struct { ... } yaml_parser_s::simple_keys

The stack of simple keys.

## ◆ start [7/10]

yaml_parser_state_t* yaml_parser_s::start

The beginning of the stack.

## ◆ end [7/10]

yaml_parser_state_t* yaml_parser_s::end

The end of the stack.

## ◆ top [3/6]

yaml_parser_state_t* yaml_parser_s::top

The top of the stack.

## ◆ states

struct { ... } yaml_parser_s::states

The parser states stack.

## ◆ state

yaml_parser_state_t yaml_parser_s::state

The current parser state.

## ◆ start [8/10]

yaml_mark_t* yaml_parser_s::start

The beginning of the stack.

## ◆ end [8/10]

yaml_mark_t* yaml_parser_s::end

The end of the stack.

## ◆ top [4/6]

yaml_mark_t* yaml_parser_s::top

The top of the stack.

## ◆ marks

struct { ... } yaml_parser_s::marks

The stack of marks.

## ◆ start [9/10]

yaml_tag_directive_t* yaml_parser_s::start

The beginning of the list.

## ◆ end [9/10]

yaml_tag_directive_t* yaml_parser_s::end

The end of the list.

## ◆ top [5/6]

yaml_tag_directive_t* yaml_parser_s::top

The top of the list.

## ◆ tag_directives

struct { ... } yaml_parser_s::tag_directives

The list of TAG directives.

## ◆ start [10/10]

yaml_alias_data_t* yaml_parser_s::start

The beginning of the list.

## ◆ end [10/10]

yaml_alias_data_t* yaml_parser_s::end

The end of the list.

## ◆ top [6/6]

yaml_alias_data_t* yaml_parser_s::top

The top of the list.

## ◆ aliases

struct { ... } yaml_parser_s::aliases

The alias data.

## ◆ document

yaml_document_t* yaml_parser_s::document

The currently parsed document.

The documentation for this struct was generated from the following file:

- yaml.h